# Fish configuration file

set -x LC_CTYPE en_US.UTF-8
set -x LC_ALL en_US.UTF-8

set -x PYTHONIOENCODING UTF-8

if test (uname) != "Darwin"
        set -x TERM xterm-256color
end

# Aliases

if test (uname) != "Darwin"
        alias ls='ls --color=auto'
        alias ll='ls -l'
        alias la='ls -A'
        alias l='ls -CF'

        alias rm='rm -i --preserve-root'
else
        alias rm='rm -i'
end

if test (uname) = "Darwin"
        set -xg PATH /usr/local/bin /usr/local/sbin $PATH
        set -xg PATH /Library/Frameworks/Python.framework/Versions/3.5/bin $PATH
        set -xg PATH $PATH /Users/mcapelle/Applications/GNAT/bin
end

if test -e {$HOME}/Dev/python/libs
        set -xg PYTHONPATH "$HOME/Dev/python/libs:$PYTHONPATH"
end

if test -e /usr/local/bin
    set -xg PATH $PATH /usr/local/bin
end

if test -z "$MYSOFT_PATH"

        set -xg MYSOFT_PATH {$HOME}/.softwares

        if test -e $MYSOFT_PATH
                set -xg PATH $PATH $MYSOFT_PATH/bin

                # GUROBI
                if ls $MYSOFT_PATH | grep "gurobi" > /dev/null
                        set -xg GUROBI_PATH (ls -d $MYSOFT_PATH/gurobi*/linux64 | tail -1)
                        set -xg LD_LIBRARY_PATH "$LD_LIBRARY_PATH:$GUROBI_PATH/lib"
                        set -xg GRB_LICENSE_FILE $GUROBI_PATH/gurobi.lic
                        set -xg PATH $GUROBI_PATH/bin $PATH
                        #set -x PYTHONPATH $GUROBI_PATH/lib/python3.4_utf32:$PYTHONPATH
                end
        end

end

# Creation mask
umask 022
